textures/oasis_tex/sunset
{
	qer_editorimage textures/oasis_tex/sunset_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
     	//q3map_lightimage textures/pad_garden/brightyell.tga
	//q3map_sunExt	1 1 .98 250 300 60 2 16
	q3map_sun		1 .6 .6 180 325 60
	q3map_skylight 	50 3

      skyparms textures/oasis_tex/sunset - -
}

textures/oasis_tex/water_oasis
{
		qer_editorimage textures/pad_liquidfx/wat04.tga
		qer_trans .5
		q3map_globaltexture
		q3map_tessSize 256
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		deformVertexes normal .15 2 
		deformVertexes bulge 128 5 2
		cull disable

	{
		map textures/oasis_tex/glass2_blue.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
	{ 
		
		map textures/pad_liquidfx/wat04.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/pad_liquidfx/wat03.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/pad_liquidfx/wat04.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
    		tcgen lightmap
   		map $lightmap
    		rgbGen identity
		blendfunc gl_dst_color gl_zero
  	}


}

textures/oasis_tex/pool_floor
{
	qer_editorimage textures/oasis_tex/floor024_blue.tga

       {
		map textures/pad_liquidfx/wat03.tga
		tcmod scale -.25 -.25
		tcmod scroll .025 .025
		rgbgen wave sin .75 0 0 0
	
	}
	{
		map textures/pad_liquidfx/wat04.tga
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .025 .025
		rgbgen wave sin .75 0 0 0
	}
	{
		map textures/oasis_tex/floor024_blue.tga
		blendFunc GL_one GL_src_color
		//rgbgen identity
	}
	{
    		tcgen lightmap
   		map $lightmap
    		//rgbGen identity
		blendfunc gl_dst_color gl_zero
  	}

}

textures/oasis_tex/pool_wall
{
	qer_editorimage textures/oasis_tex/pad_jail_metal10a_oasis.tga
	
       {
		map textures/pad_liquidfx/wat03.tga
		tcmod scale -.25 -.25
		tcmod scroll .025 .025
		rgbgen wave sin .75 0 0 0
	
	}
	{
		map textures/pad_liquidfx/wat04.tga
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .025 .025
		rgbgen wave sin .75 0 0 0
	}
	{
		map textures/oasis_tex/pad_jail_metal10a_oasis.tga
		blendFunc GL_one GL_src_color
		//rgbgen identity
	}
	{
    		tcgen lightmap
   		map $lightmap
    		//rgbGen identity
		blendfunc gl_dst_color gl_zero
  	}
}


// shaders for the sunmilk

textures/oasis_tex/sunpad_front
{
		qer_editorimage textures/oasis_tex/sunpad_front.tga
		q3map_forceMeta
		q3map_shadeAngle 150
	
	{ 
		
		map textures/oasis_tex/sunpad_front.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/oasis_tex/sunpad_back
{
		qer_editorimage textures/oasis_tex/sunpad_back.tga
		q3map_forceMeta
		q3map_shadeAngle 150
	
	{ 
		
		map textures/oasis_tex/sunpad_back.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/oasis_tex/sunpad_bottom
{
		qer_editorimage textures/oasis_tex/sunpad_bottom.tga
		q3map_forceMeta
		q3map_shadeAngle 150
	
	{ 
		
		map textures/oasis_tex/sunpad_bottom.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/oasis_tex/sunpad_top
{
		qer_editorimage textures/oasis_tex/sunpad_top.tga
		q3map_forceMeta
		q3map_shadeAngle 150
	
	{ 
		
		map textures/colors/blue.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// Shader for waterball

textures/oasis_tex/waterball
{
	qer_editorimage textures/oasis_tex/waterball.tga
	q3map_forceMeta
	
	{ 
		
		map textures/oasis_tex/waterball.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// shaders for the airbed

textures/oasis_tex/plastic_blue
{
	qer_editorimage textures/colors/blue.tga
	surfaceparm nonsolid
	//q3map_forceMeta
	
	{ 
		
		map textures/colors/blue.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/oasis_tex/plastic_green
{
	qer_editorimage textures/colors/green.tga
	surfaceparm nonsolid
	//q3map_forceMeta
	
	{ 
		
		map textures/colors/green.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// sunchair shaders

textures/oasis_tex/sunchair_textile
{
		qer_editorimage textures/pad_textile/textile03e.tga
		surfaceparm nonsolid
		q3map_forceMeta
		cull disable
	
	{ 
		map textures/pad_textile/textile03e.tga
	}
}

textures/oasis_tex/sunchair_metal
{
		qer_editorimage textures/pad_gfx02/metal04.tga
		surfaceparm nonsolid
		q3map_forceMeta	
	{ 
		
		map textures/colors/black.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
} 


// sandal strap alpha channel blend

textures/oasis_tex/sandal_strap

{
		qer_editorimage textures/oasis_tex/sandal_strap.tga
		cull disable
	{
		map textures/oasis_tex/sandal_strap.tga
		alphaFunc GE128
		rgbGen identity
	}
}


textures/oasis_tex/register_keyboard

{
	noPicMip
	polygonOffset
	surfaceparm nonsolid
	qer_editorimage textures/oasis_tex/register_keyboard.tga

	{
		map textures/oasis_tex/register_keyboard.tga
		alphaFunc GE128
		rgbGen identity
	}
}

textures/oasis_tex/register_lock
{
	noPicMip
	polygonOffset
	surfaceparm nonsolid
	qer_editorimage textures/oasis_tex/register_lock.tga

	{
		map textures/oasis_tex/register_lock.tga
		alphaFunc GE128
		rgbGen identity
	}
}


textures/oasis_tex/register_display

{
	noPicMip
	polygonOffset
	surfaceparm nonsolid
	qer_editorimage textures/oasis_tex/register_display.tga

	{
		map textures/oasis_tex/register_display.tga
		rgbGen identity
	}
}


// shader for the waterslide

textures/oasis_tex/rutsche
{
		qer_editorimage textures/pad_floorin/col04extra.tga
		cull disable
	{ 
		
		map textures/pad_floorin/col04extra.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
    		tcgen lightmap
   		map $lightmap
    		rgbGen identity
		blendfunc gl_dst_color gl_zero
  	}
}

textures/oasis_tex/rutsche_yellow
{
		qer_editorimage textures/oasis_tex/col04extra_yellow.tga
		cull disable
	{ 
		
		map textures/oasis_tex/col04extra_yellow.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/oasis_tex/waterfog_blue
{
		qer_editorimage textures/pad_gfx02b/padfog_blue.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 0.1 0.1 0.3 ) 6144

}



textures/oasis_tex/oasis_waterfall
{
      qer_editorimage textures/pad_liquidfx/pad_waterfall02.tga
      surfaceparm nonsolid
      cull disable
	//surfaceparm nolightmap
	//surfaceparm trans
	//deformVertexes normal .15 2 
	//deformVertexes bulge 128 5 2

    	{
            map textures/pad_liquidfx/pad_waterfall02.tga
            //blendfunc blend
            tcMod scroll 0 -2.8
    	}
  	{
            map textures/pad_liquidfx/pad_waterfall02.tga
            blendfunc blend
            tcMod scroll 0 -2
   	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/oasis_tex/volley_net
{
		qer_editorimage textures/oasis_tex/netz.tga
		surfaceparm alphashadow
		surfaceparm nonsolid
		cull disable
		nopicmip
		nomipmaps
	{
		map textures/oasis_tex/netz.tga
		alphaFunc GE128
		rgbGen identity
	}
}

textures/oasis_tex/oasis_waterfall_trans
{
      qer_editorimage textures/pad_liquidfx/pad_waterfall02.tga
      surfaceparm nonsolid
      cull disable
	//surfaceparm nolightmap
	//surfaceparm trans
	//deformVertexes normal .15 2 
	//deformVertexes bulge 128 5 2

    	{
            map textures/pad_liquidfx/pad_waterfall02.tga
            blendfunc add
            tcMod scroll 0 2.8
    	}
  	{
            map textures/pad_liquidfx/pad_waterfall02.tga
            blendfunc blend
            tcMod scroll 0 2
   	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/oasis_tex/boiling_oil
{
		qer_editorimage textures/oasis_tex/oil.tga
		surfaceparm slime
	
	{
		map textures/oasis_tex/oil.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/oasis_tex/grass_1_darker_shader
{
	qer_editorimage textures/oasis_tex/grass_1_darker.tga
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	//q3map_surfaceModel //models/mapobjects/pad_ddmix/plants/flower_yellow.md3 768 3 .4 1 0 90 1

	{
    		tcgen lightmap
   		map $lightmap
    		rgbGen identity
  	}
    	{
    		map textures/oasis_tex/grass_1_darker.tga
    		blendFunc filter
    	}

}
